/*    --------------------------------------------------------------------------------  */
 

.product-miniature .thumbnail-container .product-thumbnail img {
    position: relative;
    display: block;
    max-width: 100%;
    height: auto;
    margin: auto;
}
.product-miniature .thumbnail-container .product-thumbnail {
    position: relative;
    height: calc(100% - 70px);
}

.product-miniature .thumbnail-top {
    position: relative;
    /*overflow: hidden;*/
}

.product-miniature .thumbnail-container {
    position: relative;
    height: auto;
    margin-bottom: 1.563rem;
    /*overflow: hidden;*/
    background: #fff;
}

.product-miniature, .product-miniature .product {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}
.product-miniature .product-description a{
    text-decoration: none;
  /*  position: relative;*/
    text-align: left;
}
.product-miniature .product-description a h2,
.product-miniature .product-description a h3 {
    text-decoration: none;
        min-height: 50px;
    font-size: .9rem;
    /* text-transform: uppercase; */
    font-weight: 500;
    margin-bottom: 0;
   
}

.product-miniature .product-description{
    position: relative;
    z-index: 1; 
    padding: .5rem 1.5rem 1.65rem;
}
.product-miniature .product-description:before{
    height: 1px;
    left: 0;
    content:""; top:0;
    background-color: var(--cielLight);
    width: 100%;
    content: "";
    display: block;
    position: absolute;
        -ms-transform: all 0.15s linear 0s;
    -webkit-transition: all 0.15s linear 0s;
    -moz-transition: all 0.15s linear 0s;
    transition: all 0.15s linear 0s;
}

 .product-miniature{
    display: block;
    /*padding: 1rem;*/
    background: #fff;
    border-radius: var(--radius-med1);
 }

 
.product-miniature:hover .product-description:after{

  width: 85%;
}

.product-miniature .price, .product-miniature .regular-price{
    font-weight: 600;
 
    letter-spacing: -0.02rem;
    font-size: 1rem;
    /* color: var(--ciel); */
    position: relative;
    font-style: italic;
    color: var(--navy);
}

 
.product-miniature .thumbnail-container{
    margin-bottom: 0;
}


#js-product-list .products.row > div {
    padding: 0.5rem .25rem;
}

.content-price{
    display: flex;
    align-items: center;
}
p.product-unit-price.sub {
    margin-left: 2px;
    font-size: 14px;
    margin-top: 5px;
    line-height: 16px;
    font-style: italic;
    color: var(--navy);
    opacity: .5;
    display: inline-block;
    font-weight: 400;
}


.withPromo .price{
    background: var(--yellow);
    color: var(--navy);
    border-radius: 6px;
    padding: 0rem 0.5rem 0rem .5rem;
        margin-right: 15px;font-weight: 800;
}

.discount-product{
    position: absolute;
    z-index: 3;
    right: 10px;
    top: 10px;
    background: var(--yellow);
    font-weight: 800;
    font-style: italic;
    padding: 0.15rem .65rem;
    border-radius: 6px;
}
.product-price-and-shipping {
    font-size: 14px;
    /* min-height: 34px; */
    display: flex;
    /* padding-left: .25rem; */
    align-items: flex-start;
    padding-top: 0;
    flex-direction: column;
}
.product-price-and-shipping span {
    font-size: 14px;
}

.stock-status  {
    margin-top: 1rem;
    min-height: 22px;
}
.stock-status.in-stock {
    font-weight: 600;
    color: var(--navy);
}
.stock-status.in-stock span{
    width: 8px;
    height: 8px;
    background: #75de9c;
    display: inline-block;
    border-radius: 30px;
    margin-bottom: 1px;
    margin-right: 6px;
}

.product-miniature span.displayProductPriceBlock {
    min-height: 15px;
}


.product-miniature span.displayProductColors {
    margin-top: 6px;
    /* min-height: 20px; */
}
.product-miniature ul.product-colors {
    display: flex;
}
.product-miniature ul.product-colors li{
    width: 20px;
    height: 20px;
    border: 1px solid transparent;
    border-radius: 30px;
    margin: 0 5px 0 0;
}
.product-miniature ul.product-colors .color-blanc{
    background: #fff; border: 1px solid #eaf5fc;
}
.product-miniature ul.product-colors .color-bois{
    background: #c07f31;
}
.product-miniature ul.product-colors .color-noir{
    background: #000;
}
.product-miniature ul.product-colors .color-vert{
    background: #718868;
}
.product-miniature ul.product-colors .color-chocolat{
    background: #7d5d53;
}
.product-miniature ul.product-colors .color-gris{
    background: #b8c0c8;
}
.product-miniature ul.product-colors .color-alu{
    background: #dddee3;
}
.product-miniature ul.product-colors .color-rouge{
    background: #f44336;
}
.product-miniature ul.product-colors .color-bleu{
    background: #006571;
}
.product-miniature ul.product-colors .color-mastic{
    background: #ceb194;
}
.product-miniature ul.product-colors .color-savane{
    background: #f6d743;
}
.product-miniature ul.product-colors .color-beige{
    background: #ceb194;
}
.product-miniature ul.product-colors .color-orange{
    background: #ffb74d;
}
.product-miniature ul.product-colors .color-sable{
    background: #eaca69;
}
.product-miniature ul.product-colors .color-rose{
    background: #f48fb1;
}
.product-miniature ul.product-colors .color-bleu{
    background: #2196f3;
}
.product-miniature ul.product-colors .color-jaune{
    background: #ffeb3b;
} 

/**/
span.from-price {
    display: block;
    font-weight: 400;
    font-size: 13px;
    margin-bottom: -.25rem;
    opacity: .5;
    min-height: 20px;
    margin-top: 1rem;
    font-style: italic;
    color: var(--navy);
}
.withPromo span.from-price {
  margin-bottom: 0px;
}
#categoryStarsMain {
  margin-top: 0!important;
}

.withPromo .regular-price:before {
    content: "";
    width: 100%;
    height: 1px;
    position: absolute;
    bottom: 17px;
    background: var(--navy);
    transform: rotate(-15deg);
    left: -3px;
    opacity: 0.7;
}
.withPromo .regular-price{
    margin-right: 0.5rem;
}


.product-miniature .persoIco{
    position: absolute;
    right: 0px;
    display: flex;
    top: -50px;
    background: #fff;
    border:1px solid rgb(22 27 67 / 9%);
    border-radius: var(--radius-max);
    width: 45px;
    height: 45px;
    align-items: center;
    justify-content: center;
    z-index: 2;
} 
.product-miniature .persoIco svg{
    width: 30px;
    height: 30px;
    stroke: var(--navy);
}

#search .block-category{
    display: none;
}

    .js-product-miniature{
        max-width: 274px;
        border-radius: 8px;
        overflow: hidden;
        border: 1px solid var(--cielLight);
    }

/* 2 eme images !  */
/* Le <article> déclenche le hover */
article.product-miniature {
    position: relative;
}

/* Lien contenant les images */
article.product-miniature a.product-thumbnail {
    position: relative;
    display: block;
    overflow: hidden;
}

/* Picture conteneur */
article.product-miniature a.product-thumbnail picture {
    position: relative;
    display: block;
    width: 100%;
}

/* Image principale */
article.product-miniature a.product-thumbnail .main-image {
    position: relative;
    z-index: 1;
    display: block;
    width: 100%;
    height: auto;
}

/*  UNIQUEMENT si le produit a une 2e image */
article.product-miniature a.product-thumbnail.has-second-image .second-image {
    position: absolute !important;
    top: 0;
    left: 0;
    width: 100% !important;
    height: auto;
    opacity: 0;
    z-index: 2;
    pointer-events: none;
    transition: opacity .6s cubic-bezier(.22, .61, .36, 1);
}

/* Hover desktop — uniquement si has-second-image */
@media (hover: hover) {
    article.product-miniature:hover
    a.product-thumbnail.has-second-image .second-image {
        opacity: 1;
    }

    article.product-miniature:hover
    a.product-thumbnail.has-second-image .main-image {
        transition: opacity .6s cubic-bezier(.22, .61, .36, 1);
        opacity: 0;
    }
}


.product-miniature {
        position: relative;
}

.product-miniature .footer-wave{
    position: absolute;
    bottom: 0px;
    height: 20px;
    width: 101%;
}



/* Custom Mobile */
@media (min-width: 576px) { /* xs */

}
@media (min-width: 768px) { /* sm */
  
}

/* Start Desktop */
@media (min-width: 992px) { /* lg */

     .product-miniature .footer-wave{
        bottom: 3px;
    }
    .product-miniature .price, .product-miniature .regular-price{
        font-size: 1.35rem;
    }
    .product-price-and-shipping {
        font-size: 16px;
 
    }
    .product-miniature .product-description a h2,
    .product-miniature .product-description a h3 {
        padding-top: .75rem;
        font-size: 0.95rem;
        line-height: 18px;
    }

    #js-product-list .products.row > div {
        
        margin-bottom: 3rem;
    }

     .product-miniature:hover{
            position: relative;
        z-index: 20;    transform: translateY(-1px);
        box-shadow: var(--shadow1);
        border: 1px solid var(--blue);
     }



    .product-miniature{
        padding: 0;
        margin: 0 auto;
        min-width: 276px; /* 274 + 1 + 1 */
    }

}
@media (min-width: 1200px) { /* xl */

}
@media (min-width: 1400px) { /* xxl */

}
